- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Slots | Protected Member Functions | Friends

# QWSManager Class Reference

Search for all occurrences

## Detailed Description

Definition at line 66 of file qwsmanager_qws.h.

`#include <qwsmanager_qws.h>`

Inheritance diagram for QWSManager:
[legend]

List of all members.

## Public Member Functions
| QWSManager (QWidget *)
| ~QWSManager ()
QWidget * | widget ()
void | maximize ()
void | startMove ()
void | startResize ()
QRegion | region ()
QRegion & | cachedRegion ()
## Static Public Member Functions
static QDecoration * | newDefaultDecoration ()
static QWidget * | grabbedMouse ()
## Protected Slots
void | menuTriggered (QAction *action)
## Protected Member Functions
void | handleMove (QPoint g)
virtual bool | event (QEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseDoubleClickEvent (QMouseEvent *)
virtual void | paintEvent (QPaintEvent *)
bool | repaintRegion (int region, QDecoration::DecorationState state)
void | menu (const QPoint &)
## Friends
class | QWidget
class | QETWidget
class | QWidgetPrivate
class | QApplication
class | QApplicationPrivate
class | QWidgetBackingStore
class | QWSWindowSurface
class | QGLDrawable

## Constructor & Destructor Documentation

QWSManager | ( | QWidget * |  | ) | `[explicit]`

~QWSManager | ( |  | ) |

## Member Function Documentation

static QDecoration* newDefaultDecoration | ( |  | ) | `[static]`

Search for all occurrences

QWidget* widget | ( |  | ) |

Search for all occurrences

static QWidget* grabbedMouse | ( |  | ) | `[static]`

Search for all occurrences

void maximize | ( |  | ) |

Search for all occurrences

void startMove | ( |  | ) |

Search for all occurrences

void startResize | ( |  | ) |

Search for all occurrences

QRegion region | ( |  | ) |

Search for all occurrences

QRegion& cachedRegion | ( |  | ) |

Search for all occurrences

void menuTriggered | ( | QAction * | action | ) | `[protected, slot]`

Search for all occurrences

void handleMove | ( | QPoint | g | ) | `[protected]`

Search for all occurrences

virtual bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

virtual void mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void mouseReleaseEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void mouseDoubleClickEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

bool repaintRegion | ( | int | region,
|  | QDecoration::DecorationState | state
| ) |  | `[protected]`

Search for all occurrences

void menu | ( | const QPoint & |  | ) | `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QWidget `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 102 of file qwsmanager_qws.h.

friend class QETWidget `[friend]`

Search for all occurrences

Definition at line 103 of file qwsmanager_qws.h.

friend class QWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 104 of file qwsmanager_qws.h.

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 105 of file qwsmanager_qws.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 106 of file qwsmanager_qws.h.

friend class QWidgetBackingStore `[friend]`

Search for all occurrences

Definition at line 107 of file qwsmanager_qws.h.

friend class QWSWindowSurface `[friend]`

Search for all occurrences

Definition at line 108 of file qwsmanager_qws.h.

friend class QGLDrawable `[friend]`

Search for all occurrences

Definition at line 109 of file qwsmanager_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qwsmanager_qws.h

QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager
QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager QWSManager